// constants.as
// This is an AngelScript File
//--------------------------------------------------------------------------------------
// Consts
//--------------------------------------------------------------------------------------

// Will carry over to C++ code if modified in script ----------------------------------------
const uint MAXANISOTROPY			= 8;	// MAXANISOTROPY is the maximum anisotropy state value used when anisotropic filtering is enabled.
const float GROUND_ABSORBANCE		= 0.2f; // GROUND_ABSORBANCE is the percentage of the velocity absorbed by ground and walls when an ammo hits.
const float AMMO_ABSORBANCE			= 0.1f; // AMMO_ABSORBANCE is the percentage of the velocity absorbed by ammos when two collide.
const int MAX_AMMO					= 100;  // MAX_AMMO is the maximum number of ammo that can exist in the world.
const int MAX_DROID				= 50;
const uint DROID_HITPOINTS			= 20;
const float AMMO_SIZE				= 0.10f; // AMMO_SIZE is the diameter of the ball mesh in the world.
const float DROID_SIZE				= 0.5f;
const float DROID_MIN_HEIGHT		= 0.5f;
const float DROID_HEIGHT_FLUX		= 0.5f;
const uint DROID_TURN_AI_PERCENT	= 40;
const uint DROID_MOVE_AI_PERCENT	= 40;
const uint DROID_MOVE_TIME_MIN		= 2000;
const uint DROID_MOVE_TIME_FLUX		= 3000;
const uint DROID_CREATE_DELAY_FLUX	= 2500;
const float DROID_DEATH_SPEED		= 3.0f;
const float AUTOFIRE_DELAY			= 0.1f; // AUTOFIRE_DELAY is the period between two successive ammo firing.
const float CAMERA_SIZE				= 0.2f;	// CAMERA_SIZE is used for clipping camera movement
const float GRAVITY					= 3.0f; // GRAVITY defines the magnitude of the downward force applied to ammos.
const float DROID_VELOCITY			= 2.0f; // MIN_VOL_ADJUST is the minimum volume adjustment based on contact velocity.
const float BOUNCE_TRANSFER			= 0.8f; // BOUNCE_TRANSFER is the proportion of velocity transferred during a collision between 2 ammos.
const float BOUNCE_LOST				= 0.1f; // BOUNCE_LOST is the proportion of velocity lost during a collision between 2 ammos.
const float REST_THRESHOLD			= 0.005f; // REST_THRESHOLD is the energy below which the ball is flagged as laying on ground.  // It is defined as Gravity * Height_above_ground + 0.5 * Velocity * Velocity
const float PHYSICS_FRAMELENGTH		= 0.003f; // PHYSICS_FRAMELENGTH is the duration of a frame for physics handling when the graphics frame length is too long.

// Will not carry over to C++ code if modified in script ------------------------------------
const float PI						= 3.14159f;

// MinBound and MaxBound are the bounding box representing the cell mesh.
const float GROUND_Y				= 3.0f; // -GROUND_Y is the Y coordinate of the ground.
const D3DXVECTOR3           g_MinBound( -6.0f, -GROUND_Y, -6.0f );
const D3DXVECTOR3           g_MaxBound( 6.0f, GROUND_Y, 6.0f );
